/*! \file trapping.cpp
 */
#include <cstdio>
#include <string>

using namespace std;

extern void frfme(string data_file, string output_path);
extern void lffft(string data_file, string output_path);

/* \brief Main program execution body.
 *
 * \param argc: `int`
 * \param argv: `char **`
 * \return result: `int`
 */
int main(int argc, char **argv) {
  string frfme_data_file = "../../test_data/trapping/DFRFME";
  string lffft_data_file = "../../test_data/trapping/DLFFFT";
  string output_path = ".";
  if (argc == 4) {
    frfme_data_file = string(argv[1]);
    lffft_data_file = string(argv[2]);
    output_path = string(argv[3]);
  }
  frfme(frfme_data_file, output_path);
  lffft(lffft_data_file, output_path);
  return 0;
}
